const {
        Telegraf
    } = require('telegraf')
const bot = new Telegraf(process.env.BOT_TOKEN)
const {
        expToUp
        } = global.config


module.exports = async (user, experience) => {
        user.exp += experience
        for(i in expToUp){
            if (user.exp >= expToUp[user.level]) {
                user.exp -= expToUp[user.level]
                user.level += 1
                user.save()
                await bot.telegram.sendMessage(user.telegram_id, `⤴️ Ваш уровень повысился до ${user.level}!`)}
        }
        user.save()
}